com.ihr.xbrl.dts

## Class CompanyKey

- java.lang.Object
- - com.ihr.xbrl.dts.CompanyKey

- All Implemented Interfaces:
    java.lang.Comparable<CompanyKey>

      public class CompanyKey
      extends java.lang.Object
      implements java.lang.Comparable<CompanyKey>

  The Class CompanyKey.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompanyKey(java.lang.String identifier, java.lang.String scheme)` Instantiates a new company key.
    `CompanyKey(XBRLContext context)` Instantiates a new company key.
    `CompanyKey(XBRLEntity entity)` Instantiates a new company key.
    `CompanyKey(XBRLFactItem item)` Instantiates a new company key.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CompanyKey o)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getIdentifier()` Access to the identifier of this company key.
    `java.lang.String` | `getScheme()` Access to the scheme of this company key.
    `int` | `hashCode()`
    `XBRLEntity` | `toEntity(DTSContainer dts)` Returns back a new generated XBRLEntity on the DTSContainer indicated in the dts parameter.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompanyKey

          public CompanyKey(java.lang.String identifier,
                    java.lang.String scheme)

      Instantiates a new company key.
      Parameters:
        `identifier` - the identifier
        `scheme` - the scheme

    - #### CompanyKey

          public CompanyKey(XBRLFactItem item)

      Instantiates a new company key.
      Parameters:
        `item` - the item

    - #### CompanyKey

          public CompanyKey(XBRLContext context)

      Instantiates a new company key.
      Parameters:
        `context` - the context

    - #### CompanyKey

          public CompanyKey(XBRLEntity entity)

      Instantiates a new company key.
      Parameters:
        `entity` - the entity

  - ### Method Detail

    - #### getScheme

          public java.lang.String getScheme()

      Access to the scheme of this company key.
      Returns:
        the scheme

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Access to the identifier of this company key.
      Returns:
        the identifier

    - #### toEntity

          public XBRLEntity toEntity(DTSContainer dts)

      Returns back a new generated XBRLEntity on the DTSContainer indicated in the dts parameter. The segment is left empty
      Parameters:
        `dts` - the dts
      Returns:
        the XBRL entity

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(CompanyKey o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CompanyKey>`